#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EUpdaterType {
    Invalid = 0,
    Client = 1,
    OS = 2,
    BIOS = 3,
    Aggregated = 4,
    Test1 = 5,
    Test2 = 6,
    Dummy = 7,
}

impl EUpdaterType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Client as i32 => Some(Self::Client),
            x if x == Self::OS as i32 => Some(Self::OS),
            x if x == Self::BIOS as i32 => Some(Self::BIOS),
            x if x == Self::Aggregated as i32 => Some(Self::Aggregated),
            x if x == Self::Test1 as i32 => Some(Self::Test1),
            x if x == Self::Test2 as i32 => Some(Self::Test2),
            x if x == Self::Dummy as i32 => Some(Self::Dummy),
            _ => None,
        }
    }
}
